<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/25/2004 *
 * ================                             Last change: 02/25/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-repair_gmenu.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Repair guest menu weight                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Menuegewichtigung reparieren                     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

$ACTIONS = array();
// First fix all main menus (what="")...
$result_fix = SQL_QUERY("SELECT id, action FROM "._MYSQL_PREFIX."_guest_menu WHERE what='' AND action != 'logout' ORDER BY sort ASC", __FILE__, __LINE__);
$cnt = 0; $REP = 0;
while(list($id, $act) = SQL_FETCHROW($result_fix))
{
	// Store action value for later usage in sorting sub menus
	$ACTIONS[] = $act;

	// Fix weight
	$result_sort = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_guest_menu SET sort='%s' WHERE id=%d LIMIT 1",
	 array(bigintval($cnt), bigintval($id)), __FILE__, __LINE__);
	$REP += SQL_AFFECTEDROWS();

	// Count one up
	$cnt++;
}

// Free memory
SQL_FREERESULT($result_fix);

// Set logout weight to 999
$result_sort = SQL_QUERY("UPDATE "._MYSQL_PREFIX."_guest_menu SET sort='999' WHERE action='logout' AND what='' LIMIT 1", __FILE__, __LINE__);

// Now sort every each menu
foreach ($ACTIONS as $act)
{
	$result_fix = SQL_QUERY_ESC("SELECT id FROM "._MYSQL_PREFIX."_guest_menu WHERE action='%s' AND what != '' ORDER BY sort",
	 array($act), __FILE__, __LINE__);

	$cnt = 1;
	while (list($id) = SQL_FETCHROW($result_fix))
	{
		// Fix weight
		$result_sort = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_guest_menu SET sort='%s' WHERE id=%d LIMIT 1",
		 array(bigintval($cnt), bigintval($id)), __FILE__, __LINE__);
		$REP += SQL_AFFECTEDROWS();

		// Count one up
		$cnt++;
	}

	// Free memory
	SQL_FREERESULT($result_fix);
}

// Repair finished
LOAD_TEMPLATE("admin_settings_saved", false, "<FONT class=\"admin_done\">".ADMIN_REPAIR_ENTRIES_FIXED_1.$REP.ADMIN_REPAIR_ENTRIES_FIXED_2."</FONT>");

//
?>
